package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.BaseResultDto;
import com.crm.rely.backend.core.entity.custom.login.delete.record.CustomLoginDeleteRecordAddEntity;
import com.crm.rely.backend.core.pojo.table.CustomLoginDeleteRecordTable;

import java.util.List;

public interface CustomLoginDeleteRecordService {

    BaseResultDto save(CustomLoginDeleteRecordAddEntity entity) throws Exception;

    BaseResultDto save(List<CustomLoginDeleteRecordAddEntity> entities) throws Exception;

    void customLoginMarkDeleteTask() throws Exception ;

    void delCustomLogin(CustomLoginDeleteRecordTable table) throws Exception ;
}
